%{?nodejs_find_provides_and_requires}

Name:           nodejs-asn1
Version:        0.1.11
Release:        10%{?dist}
Summary:        Contains parsers and serializers for ASN.1 (currently BER only)
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

License:        MIT
URL:            https://github.com/mcavage/node-asn1
Source0:        https://registry.npmjs.org/asn1/-/asn1-%{version}.tgz

BuildRequires:  nodejs-packaging

#for tests
BuildRequires:  npm(tap)

%description
nodejs-asn1 is a library for encoding and decoding Abstract Syntax Notation One
(ASN.1) datatypes in pure JavaScript. ASN.1 is  is a standard and notation that 
describes rules and structures for representing, encoding, transmitting, and 
decoding data in telecommunications and computer networking.

Currently Basic Encoding Rules (BER) encoding is supported; at some point 
Distinguished Encoding Rules (DER) will likely also be supported.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/asn1
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/asn1

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%tap tst/ber/*.js

%files
%{nodejs_sitelib}/asn1
%doc README.md
%license LICENSE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Feb 07 2016 Piotr Popieluch <piotr1212@gmail.com> - 0.1.11-8
- Cleanup spec for newer guidelines

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.11-3
- restrict to compatible arches

* Fri Jun 21 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.11-2
- improve description

* Thu Jun 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.11-1
- initial package
